!

API recipes

Practical examples for using the Houski API.

Examples

Get automated property valuation

Programming language

Select the programming language you want to display the code examples in.

Get automated property valuation (AVM)
Instant automated valuation via machine learning. Visit the URL in the response to view the AVM report.
Request
Shell session
curl -X GET "https://api.houski.ca/avm?api_key=YOUR_API_KEY&property_id=10004f7afe0c1946"
TypeScript code
const houski_recipe_data = async (): Promise<AvmResponse> => {

    // You must copy the AvmResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/avm');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('property_id', '10004f7afe0c1946');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: AvmResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": true,
  "cost_cents": 500.0,
  "data": {
    "address": "6 1744 7 Street SW",
    "bathroom_full": 2,
    "bathroom_half": 1,
    "bedroom": 3,
    "city": "Calgary",
    "comparable_properties": [
      {
        "address": "930 19 Avenue SW",
        "distance_km": 0.3018020987510681,
        "estimate_sale_date_sold": "2024-08-11",
        "image": "4901aa287b936a7e_c2af28e9",
        "interior_sq_m": 145.0204315185547,
        "latitude": 51.03630065917969,
        "list_price": 689900,
        "longitude": -114.08356475830078
      },
      {
        "address": "527 20 Avenue SW",
        "distance_km": 0.4397682845592499,
        "estimate_sale_date_sold": "2025-09-15",
        "image": "24f5630c78b46969_c6a1b998",
        "interior_sq_m": 116.77815246582033,
        "latitude": 51.0349006652832,
        "list_price": 749500,
        "longitude": -114.07313537597656
      },
      {
        "address": "1443 19 Avenue SW",
        "distance_km": 1.129503607749939,
        "estimate_sale_date_sold": "2023-08-10",
        "image": "2cfde42176d537eb_b21b262a",
        "interior_sq_m": 132.0141143798828,
        "latitude": 51.03635787963867,
        "list_price": 700000,
        "longitude": -114.09556579589844
      },
      {
        "address": "2122 5 Street SW",
        "distance_km": 0.4641569852828979,
        "estimate_sale_date_sold": "2024-12-25",
        "image": "80b57a39023ad631_39c4d99f",
        "interior_sq_m": 132.10702514648438,
        "latitude": 51.03350830078125,
        "list_price": 769000,
        "longitude": -114.07394409179688
      },
      {
        "address": "1527 15 Avenue SW",
        "distance_km": 1.2324048280715942,
        "estimate_sale_date_sold": "2025-06-03",
        "image": "3420ebd34ac0614_869b8bfb",
        "interior_sq_m": 120.12262725830078,
        "latitude": 51.039249420166016,
        "list_price": 700000,
        "longitude": -114.0963363647461
      },
      {
        "address": "3201 211 13 Avenue S",
        "distance_km": 1.3898544311523438,
        "estimate_sale_date_sold": "2024-03-07",
        "image": "2b636b808a049580_84301286",
        "interior_sq_m": 125.882568359375,
        "latitude": 51.04038619995117,
        "list_price": 674000,
        "longitude": -114.06026458740234
      },
      {
        "address": "1460 Premier Way SW",
        "distance_km": 1.3587597608566284,
        "estimate_sale_date_sold": "2023-06-30",
        "image": "6eff3618083cf07a_89ed7c30",
        "interior_sq_m": 123.28131103515624,
        "latitude": 51.02824783325195,
        "list_price": 699000,
        "longitude": -114.0942840576172
      },
      {
        "address": "1405 15 Street SW",
        "distance_km": 1.3283429145812988,
        "estimate_sale_date_sold": "2023-12-26",
        "image": "3876646758d4095d_3275e7ad",
        "interior_sq_m": 115.84912872314452,
        "latitude": 51.04019927978515,
        "list_price": 649900,
        "longitude": -114.09729766845705
      },
      {
        "address": "1522 16 Avenue SW",
        "distance_km": 1.2007092237472534,
        "estimate_sale_date_sold": "2024-04-29",
        "image": "cc3592620dde2da_175a392c",
        "interior_sq_m": 141.21144104003906,
        "latitude": 51.0388298034668,
        "list_price": 650000,
        "longitude": -114.0960464477539
      },
      {
        "address": "2 2510 16A Street SW",
        "distance_km": 1.4911690950393677,
        "estimate_sale_date_sold": "2024-06-19",
        "image": "c0eac7a582668ef9_a5f7b3e9",
        "interior_sq_m": 125.882568359375,
        "latitude": 51.03207015991211,
        "list_price": 675000,
        "longitude": -114.0998077392578
      }
    ],
    "comparable_properties_total": 45790,
    "construction_year": 2006,
    "country": "Canada",
    "den": 0,
    "estimate_list_price": {
      "confidence_score": 95.37734985351562,
      "model_metrics": {
        "coefficient_of_variation": 21.297779888460052,
        "error_10th_percentile": 3827.418701171875,
        "error_25th_percentile": 9674.828125,
        "error_50th_percentile": 23070.7421875,
        "error_75th_percentile": 47898.9296875,
        "error_90th_percentile": 92634.5625,
        "error_95th_percentile": 148044.328125,
        "forecast_std_dev": 128036.875,
        "mae": 47591.03125,
        "mape": 6.9191975593566895,
        "mean_bias": -5065.5068359375,
        "median_bias": 430.265625,
        "median_mape": 4.622647285461426,
        "mse": 16419014656.0,
        "over_prediction_rate": 50.56352952509392,
        "pct_error_10th": 0.825827956199646,
        "pct_error_90th": 14.368406295776367,
        "rmse": 128136.703125,
        "testing_r_squared": 0.95,
        "training_r_squared": 0.98,
        "under_prediction_rate": 49.43647047490608,
        "within_10_pct": 80.1416048550236,
        "within_15_pct": 90.8823812734804,
        "within_20_pct": 95.21722377420288,
        "within_5_pct": 53.00067430883345
      },
      "value": 660525.0
    },
    "estimate_rent_monthly": {
      "confidence_score": 84.40579986572266,
      "model_metrics": {
        "coefficient_of_variation": 74.19626193400119,
        "error_10th_percentile": 11197.140625,
        "error_25th_percentile": 29858.390625,
        "error_50th_percentile": 73107.78125,
        "error_75th_percentile": 163402.125,
        "error_90th_percentile": 341056.21875,
        "error_95th_percentile": 550266.6875,
        "forecast_std_dev": 451020.15625,
        "mae": 168982.734375,
        "mape": 33.335357666015625,
        "mean_bias": -57108.90234375,
        "median_bias": -1695.578125,
        "median_mape": 15.594200134277344,
        "mse": 206676312064.0,
        "over_prediction_rate": 49.18625,
        "pct_error_10th": 2.5083909034729004,
        "pct_error_90th": 66.41152954101562,
        "rmse": 454616.65625,
        "testing_r_squared": 0.72,
        "training_r_squared": 0.82,
        "under_prediction_rate": 50.81375,
        "within_10_pct": 36.0375,
        "within_15_pct": 48.791250000000005,
        "within_20_pct": 58.3375,
        "within_5_pct": 19.635
      },
      "value": 3168.381103515625
    },
    "estimate_sale_price": {
      "confidence_score": 95.3768310546875,
      "model_metrics": {
        "coefficient_of_variation": 21.802883473823258,
        "error_10th_percentile": 3706.49365234375,
        "error_25th_percentile": 9493.46875,
        "error_50th_percentile": 22532.15625,
        "error_75th_percentile": 47268.0703125,
        "error_90th_percentile": 93783.46875,
        "error_95th_percentile": 150844.203125,
        "forecast_std_dev": 127978.265625,
        "mae": 47541.25,
        "mape": 7.054271221160889,
        "mean_bias": -4664.0380859375,
        "median_bias": 475.828125,
        "median_mape": 4.623165130615234,
        "mse": 16400123904.0,
        "over_prediction_rate": 50.63577690010597,
        "pct_error_10th": 0.8310901522636414,
        "pct_error_90th": 14.612176895141602,
        "rmse": 128062.96875,
        "testing_r_squared": 0.95,
        "training_r_squared": 0.99,
        "under_prediction_rate": 49.36422309989404,
        "within_10_pct": 79.77555148829593,
        "within_15_pct": 90.50187843175031,
        "within_20_pct": 94.70185916578365,
        "within_5_pct": 53.04402273384067
      },
      "value": 826706.5
    },
    "image": "10004f7afe0c1946_cfcd8c1a",
    "interior_sq_m": 125.882568359375,
    "latitude": 51.03611755371094,
    "longitude": -114.0792007446289,
    "price_history": [
      {
        "date": "2025-02-18",
        "estimate_list_price": 616573.625,
        "estimate_rent_monthly": 3139.601806640625,
        "estimate_sale_price": 859483.0
      },
      {
        "date": "2025-03-20",
        "estimate_list_price": 616645.9375,
        "estimate_rent_monthly": 3139.601806640625,
        "estimate_sale_price": 859924.9375
      },
      {
        "date": "2025-04-19",
        "estimate_list_price": 616143.9375,
        "estimate_rent_monthly": 3139.601806640625,
        "estimate_sale_price": 859924.9375
      },
      {
        "date": "2025-05-19",
        "estimate_list_price": 616878.3125,
        "estimate_rent_monthly": 3139.601806640625,
        "estimate_sale_price": 859924.9375
      },
      {
        "date": "2025-06-18",
        "estimate_list_price": 640819.125,
        "estimate_rent_monthly": 3139.601806640625,
        "estimate_sale_price": 859924.9375
      },
      {
        "date": "2025-07-18",
        "estimate_list_price": 638990.75,
        "estimate_rent_monthly": 3139.601806640625,
        "estimate_sale_price": 881398.625
      },
      {
        "date": "2025-08-17",
        "estimate_list_price": 638990.75,
        "estimate_rent_monthly": 3139.601806640625,
        "estimate_sale_price": 881398.625
      },
      {
        "date": "2025-09-16",
        "estimate_list_price": 633054.4375,
        "estimate_rent_monthly": 3139.601806640625,
        "estimate_sale_price": 884801.0625
      },
      {
        "date": "2025-10-16",
        "estimate_list_price": 658203.375,
        "estimate_rent_monthly": 3139.601806640625,
        "estimate_sale_price": 883577.5
      },
      {
        "date": "2025-11-15",
        "estimate_list_price": 661425.75,
        "estimate_rent_monthly": 3168.381103515625,
        "estimate_sale_price": 875579.3125
      },
      {
        "date": "2025-12-15",
        "estimate_list_price": 661425.75,
        "estimate_rent_monthly": 3168.381103515625,
        "estimate_sale_price": 874437.75
      },
      {
        "date": "2026-01-14",
        "estimate_list_price": 661425.75,
        "estimate_rent_monthly": 3168.381103515625,
        "estimate_sale_price": 871888.8125
      },
      {
        "date": "2026-02-13",
        "estimate_list_price": 661425.75,
        "estimate_rent_monthly": 3168.381103515625,
        "estimate_sale_price": 871944.5625
      },
      {
        "date": "2026-03-15",
        "estimate_list_price": 661425.75,
        "estimate_rent_monthly": 3168.381103515625,
        "estimate_sale_price": 878651.75
      },
      {
        "date": "2026-04-14",
        "estimate_list_price": 661425.75,
        "estimate_rent_monthly": 3168.381103515625,
        "estimate_sale_price": 879130.3125
      },
      {
        "date": "2026-05-14",
        "estimate_list_price": 654308.6875,
        "estimate_rent_monthly": 3139.601806640625,
        "estimate_sale_price": 879130.3125
      },
      {
        "date": "2026-06-13",
        "estimate_list_price": 663746.0625,
        "estimate_rent_monthly": 3168.381103515625,
        "estimate_sale_price": 879130.3125
      },
      {
        "date": "2026-07-13",
        "estimate_list_price": 660525.0,
        "estimate_rent_monthly": 3168.381103515625,
        "estimate_sale_price": 826706.5
      },
      {
        "date": "2026-08-12",
        "estimate_list_price": 660525.0,
        "estimate_rent_monthly": 3168.381103515625,
        "estimate_sale_price": 826706.5
      }
    ],
    "property_id": "10004f7afe0c1946",
    "property_type": "House",
    "property_warning_flags": [],
    "province": "Alberta",
    "score_air_quality": 6,
    "score_bicycle": 9,
    "score_cell_coverage": 10,
    "score_curb_appeal": 6,
    "score_earthquake": 9,
    "score_education": 9,
    "score_entertainment": 10,
    "score_family": 3,
    "score_fire": 10,
    "score_flood": 9,
    "score_food_and_drink": 10,
    "score_hurricane": 10,
    "score_internet": 10,
    "score_nature": 6,
    "score_parking": 10,
    "score_quiet": 2,
    "score_retirement": 3,
    "score_safety": 6,
    "score_shopping": 9,
    "score_smell": 4,
    "score_tornado": 8,
    "score_total": 7,
    "score_total_percent": 0.7440000176429749,
    "score_traffic": 1,
    "score_transit": 9,
    "score_walkability": 10,
    "score_water_quality": 7,
    "valuation_date": "2026-08-12"
  },
  "error": "",
  "price_quote": false,
  "time_ms": 728,
  "url": "https://www.houski.ca/avm-report/10004f7afe0c1946_536a8ab4"
}